---
title: "Search all workflow draft graphs"
slug: "search-all-workflow-draft-graphs"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search all workflow draft graphs

Get/v1/workflows/draft/graphs

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Query parametersnamestring

Draft workflow name

descriptionstring

Draft workflow description.

all_searchstring

Search on name or description.

parent_graph_idstring

The final workflow from which this draft was derived.

projectstring

The workflow project.

filterstring

Filter to use for items, currently supports labels, syntax: {"labels":{"key1":"value1","key2":"value2"}}

sort_bystring

Sort fields. In the format of key1:ASC,key2:DESC,key3:DESC

limitinteger

Maximum numbers of images to return.

offsetinteger

Number of images to skip from start.

Responses200<select class='api-response-data' aria-label='Media type'><option value='099133e9-a86e-49fa-9372-348eac07948a'>application/json</option>
</select>Expand Allobject  metadataobject (SearchMetadata)  pageinteger    

Current page number

pagesinteger    

Total pages as per the item counts and page limit.

limitinteger    

Number of items to limit in a page.

total_countinteger    

Total number of unfiltered items.

filtered_countinteger    

Total number of items as per the current filter.

items Array of object (WorkflowGraph)   object  graph_idstring  (uuid)    
namestring    
creator_idstring  (uuid)    
created_atinteger  (int64)    

Dataset creation time (seconds since epoch).

updated_atinteger  (int64)    

Last update UNIX timestamp (seconds since epoch).

descriptionstring    
versioninteger    
group_idstring  (uuid)    
acct_idstring  (uuid)    
objectsobject  property*object (WorkflowObject)  additionalPropertiesnamestring    
user_idstring  (uuid)    
descriptionstring    
refobject (WorkflowObjectRef)  placeholderobject (WorkflowObjectRefPlaceholder)  kindstring    Valid values[
  "dataset",
  "app",
  "script"
]
acct_idstring  (uuid)    
group_idstring  (uuid)    

datasetobject (WorkflowObjectRefDataset)  dataset_idstring  (uuid)    
acct_idstring  (uuid)    
group_idstring  (uuid)    

appobject (WorkflowObjectRefApp)  image_idstring  (uuid)    
config_idstring    
acct_idstring  (uuid)    
group_idstring  (uuid)    

edgesobject  property*object (WorkflowEdge)  additionalPropertiessourceobject (WorkflowEdgeLink)  idstring    
portstring    

targetobject (WorkflowEdgeLink)  idstring    
portstring    

metadataobject (WorkflowMetadata)  nodesobject  property*object  additionalProperties

parentobject (WorkflowLinkMetadata)  

The final workflow from which this draft was derived. This field may point to a deleted final workflow in which you should treat it as if it's not present.

graph_idstring  (uuid)    
source_versioninteger    

projectstring    

labelsobject  property*string    additionalProperties

typestring    

Workflow is owned or Shared

Valid values[
  "OWNED",
  "SHARED"
]
